# Reload Certificate

## Reload All Certificates

모든 Virtual Hosts의 Certificate를 일괄적으로 Reload합니다. 실패하더라도 기존 Certificate를 계속 사용합니다.

> **Request**

<details>

<summary><mark style="color:blue;">POST</mark> /v1/vhosts:reloadAllCertificates</summary>

#### Header

```http
Authorization: Basic {credentials}

# Authorization
    Credentials for HTTP Basic Authentication created with <AccessToken>
```

</details>

> **Responses**

<details>

<summary><mark style="color:blue;">200</mark> Ok</summary>

The request has succeeded

**Header**

```
Content-Type: application/json
```

**Body**

```json
{
    "message": "OK",
    "statusCode": 200
}

# statusCode
	Same as HTTP Status Code
# message
	A human-readable description of the response code
```

</details>

<details>

<summary><mark style="color:red;">500</mark> Internal Server Error</summary>

Failed to reload certificate. Keep the existing certificate. The reason for the failure can be found in the server logs.

</details>

## Reload Certificate

지정한 Virtual Hosts의 Certificate를 Reload합니다. 실패하더라도 기존 Certificate를 계속 사용합니다.

> **Request**

<details>

<summary><mark style="color:blue;">POST</mark> /v1/vhosts/{vhost}:reloadCertificate</summary>

#### Header

```http
Authorization: Basic {credentials}

# Authorization
    Credentials for HTTP Basic Authentication created with <AccessToken>
```

</details>

> **Responses**

<details>

<summary><mark style="color:blue;">200</mark> Ok</summary>

The request has succeeded

**Header**

```http
Content-Type: application/json
```

**Body**

<pre class="language-json"><code class="lang-json">{
<strong>    "message": "OK",
</strong>    "statusCode": 200
}

# statusCode
    Same as HTTP Status Code
# message
    A human-readable description of the response code
</code></pre>

</details>

<details>

<summary><mark style="color:red;">500</mark> Internal Server Error</summary>

Failed to reload certificate. Keep the existing certificate. The reason for the failure can be found in the server logs.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ovenmediaengine-enterprise.gitbook.io/guide/ko-kr/features/rest-api/v1/virtual-host/reload-certificate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
